Subject: Re: bug#70669: 30.0.50; tramp-archive.elc opened too many times

From: Madhu <[email-masked]>
Date: Sat, 01 Mar 2025 22:03:32 +0530 (IST)

*  Stefan Kangas <[email-masked]> <[email-masked]>
Wrote on Fri, 28 Feb 2025 18:39:13 -0800
> Michael Albinus <[email-masked]> writes:
>> Michael Albinus <[email-masked]> writes:
>>> Hello, I am getting DoSed with "Too many open files", and they all
>>> seem to be tramp-archive.elc
>>>
>>> I have  tramp-archive-enabled => nil
>>> (featurep 'tramp-gvfs) => nil
>>>
>>> The only "weird" buffer I have is a file in Zip-Archive mode.
>>>
>>> $ lsof -n | grep tramp-archive | wc -l => 5015
>>> of these 1003 entries are from the main emacs process
>>> and 1003 entries are from 4 pthread tasks each as below
>>>
>>> ```
>>> emacs     10143 10267 gdbus        madhu   16r      REG               8,14    27080 1401209 /14/build/emacs/lisp/net/tramp-archive.elc
[7 similar lines snipped]
>>> ```
>>
>> This looks like a usual result for one Emacs instance. In my case, I get
>>
>> # lsof -n | grep tramp-archive
>> emacs     120407                          albinus  mem       REG              253,2       91864   17328088 /home/albinus/.emacs.d/eln-cache/30.0.50-d9979fcc/tramp-archive-abf83eef-1bdedebd.eln
[5 lines snipped]
>> Are all reported results for pid 10143 (the Emacs pid) in your case?

Yes it was

>>> Any ideas why this might be happening or if it is a solved problem,
>>> and if I can isolate myself from it?
>>>
>>> problems with dbus tend to be fatal, once you get into a situaion the
>>> design of dbus prevents recovery and forces the removal of all
>>> evidence which might have caused the attack...
>>
>> What makes you think it is a D-Bus problem?

Why are there so many open files to tramp-archive.eln in the first
place? perhaps the files are mapped for each " thread (named "gdbus"
by glib) which are spawned to handle something that tramp-archive is
doing via dbus?

> Ping.  Madhu, could you answer Michael's questions above?

Locally I made that tramp-archive is never loaded so I haven't
triggered this problem again.  Sorry that's not of much help.